Index: npl/mailserver/libsrs2/libsrs2.SlackBuild
===================================================================
--- npl/mailserver/libsrs2/libsrs2.SlackBuild	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libsrs2/libsrs2.SlackBuild	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,79 @@
+#!/bin/bash
+
+##NEED:...
+##DEP:..
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+#from this point on, exit on errors:
+set -e
+
+########Build and create the pacakge.
+#Uncomment the stuff that you dont want or need
+
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC 
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+#apply patches
+#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+
+pushd $SRC_DIR 
+
+#AUTOMAKE: Configure
+#Some usefull stuff you sometimes need to set:
+#export LDFLAGS="-L/usr/X11/lib/ -L/usr/lib/mysql/"
+#export LD_LIBRARY_PATH=/usr/lib/mysql
+#export VPATH=$LD_LIBRARY_PATH
+#export CFLAGS="-std=c89"
+#export CFLAGS="-fgnu89-inline" #If "multiple definition of `foo'" Also see http://gcc.gnu.org/gcc-4.3/porting_to.html
+MAKE_OPTS=""
+./configure --prefix=/usr  || exit 1
+
+#AUTOMAKE: Compile
+make $MAKE_OPTS || exit 1
+
+#AUTOMAKE: Test (optional)
+if grep ^test: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS test || exit 1
+elif grep ^check: Makefile; then
+	make pkgconfigdir=/usr/lib/pkgconfig $MAKE_OPTS install || exit 1
+	make $MAKE_OPTS check || exit 1 
+fi
+
+#AUTOMAKE: Install
+mkdir -p /tmp/pkg &>/dev/null
+make pkgconfigdir=/usr/lib/pkgconfig install_prefix=/tmp/pkg DESTDIR=/tmp/pkg INSTALL_ROOT=/tmp/pkg install_root=/tmp/pkg $MAKE_OPTS install || exit 1
+popd
+
+#strip bins and other stuff
+syn3_strip /tmp/pkg || exit 1
+
+#move development stuff and create seperate development package
+syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
+syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
+
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
+
+
+
Index: npl/mailserver/libsrs2/libsrs2.arch
===================================================================
--- npl/mailserver/libsrs2/libsrs2.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libsrs2/libsrs2.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/libsrs2/libsrs2.build
===================================================================
--- npl/mailserver/libsrs2/libsrs2.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libsrs2/libsrs2.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+1
Index: npl/mailserver/libsrs2/libsrs2.md5
===================================================================
--- npl/mailserver/libsrs2/libsrs2.md5	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libsrs2/libsrs2.md5	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,5 @@
+2178b8cf587eb6e65d4b9753c4a6c67d  ./libsrs2-1.0.18.tar.gz
+23355a6e3c5aaa23b41f95c61c32d1fe  ./libsrs2_dev.pkg
+5369bd193cc9f5d938b5b530f1dfb2a4  ./libsrs2.pkg
+9778f95a4592a0da63c9fa763ed9ae94  ./libsrs2.SlackBuild
+3e2a183f73286827e5706cdc62d613ef  ./libsrs2.SlackBuild.log.gz
Index: npl/mailserver/libsrs2/libsrs2.version
===================================================================
--- npl/mailserver/libsrs2/libsrs2.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libsrs2/libsrs2.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+1.0.18
Index: npl/mailserver/libsrs2/libsrs2_dev.arch
===================================================================
--- npl/mailserver/libsrs2/libsrs2_dev.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libsrs2/libsrs2_dev.arch	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+i586
Index: npl/mailserver/libsrs2/libsrs2_dev.build
===================================================================
--- npl/mailserver/libsrs2/libsrs2_dev.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libsrs2/libsrs2_dev.build	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+1
Index: npl/mailserver/libsrs2/libsrs2_dev.version
===================================================================
--- npl/mailserver/libsrs2/libsrs2_dev.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
+++ npl/mailserver/libsrs2/libsrs2_dev.version	(revision 4f7cda5a040f0c6d5349f80ef49b3483a7914f51)
@@ -0,0 +1,1 @@
+1.0.18
